import bb.cascades 1.3

Container {
    id: changelogContainer
    property alias changelogText: changelogLabel.text
    
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    background: Color.Black

    Container {
        layout: DockLayout {}
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        ImageView {
            imageSource: "asset:///images/Icon%20And%20Splashscreen/splash-1440x1440.png"
            preferredHeight: _deviceInfo.deviceHeight
            preferredWidth: _deviceInfo.deviceWidth
            scalingMethod: ScalingMethod.AspectFit
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            opacity: 0.3
        }
        
        ScrollView {
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            Container {
                topPadding: ui.du(1)
                bottomPadding: topPadding
                leftPadding: topPadding
                rightPadding: topPadding
                horizontalAlignment: HorizontalAlignment.Center
                Label {
                    id: changelogLabel
                    multiline: true
                    horizontalAlignment: HorizontalAlignment.Center
                    textStyle.color: Color.White
                }
                Button {
                    text: qsTr("Ok") + Retranslate.onLocaleOrLanguageChanged
                    horizontalAlignment: HorizontalAlignment.Center
                    onClicked: {
                        changelogContainer.visible = false
                    }
                }
            }
        }
    }
}
