import bb.cascades 1.3

Container {
    onCreationCompleted: { settingsSheet.updateRequired.connect(onUpdateRequired) }
    function onUpdateRequired() { toggleButton.checked = _settings.value("faceProtectionEnabled", true) }
    Container {
        layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
        Label {
            text: qsTr("Face Protection") + Retranslate.onLocaleOrLanguageChanged
            textStyle.textAlign: TextAlign.Justify
            textStyle.fontSize: FontSize.XLarge
            multiline: true
            horizontalAlignment: HorizontalAlignment.Center
        }
        ToggleButton {
            id: toggleButton
            checked: _settings.value("faceProtectionEnabled", true)
            onCheckedChanged: { _settings.setValue("faceProtectionEnabled", checked) }
            horizontalAlignment: HorizontalAlignment.Center
        }
    }
    Label {
        text: qsTr("Face Protection will prevent your face from accidentally pressing dialpad buttons while you're talking on the phone.") + Retranslate.onLocaleOrLanguageChanged
        multiline: true
    }
}
