import bb.cascades 1.3

Container {
    DropDown {
        id: languageDropDown
        title: qsTr("Language") + Retranslate.onLanguageChanged
        Option {                        
            text: qsTr("Default") + Retranslate.onLanguageChanged
            value: "default"
        }
        Option {                        
            text: qsTr("Chinese") + Retranslate.onLanguageChanged
            value: "zh"
        }
        Option {                        
            text: qsTr("Czech") + Retranslate.onLanguageChanged
            value: "cs"
        }
        Option {                        
            text: qsTr("English") + Retranslate.onLanguageChanged
            value: "en"
        }
        Option {                        
            text: qsTr("French") + Retranslate.onLanguageChanged
            value: "fr"
        }
        Option {                        
            text: qsTr("German") + Retranslate.onLanguageChanged
            value: "de"
        }
        Option {                        
            text: qsTr("Hindi") + Retranslate.onLanguageChanged
            value: "hi"
        }
        Option {                        
            text: qsTr("Indonesian") + Retranslate.onLanguageChanged
            value: "in"
        }
        Option {                        
            text: qsTr("Italian") + Retranslate.onLanguageChanged
            value: "it"
        }
        Option {                        
            text: qsTr("Persian") + Retranslate.onLanguageChanged
            value: "fa"
        }
        Option {                        
            text: qsTr("Russian") + Retranslate.onLanguageChanged
            value: "ru"
        }
        Option {                        
            text: qsTr("Spanish") + Retranslate.onLanguageChanged
            value: "es"
        }
        Option {                        
            text: qsTr("Ukrainian") + Retranslate.onLanguageChanged
            value: "uk"
        }
        Option {                        
            text: qsTr("Vietnamese") + Retranslate.onLanguageChanged
            value: "vi"
        }
        onSelectedOptionChanged: { 
            _settings.setValue("language", selectedValue) 
            _app.onSystemLanguageChanged()
            _app.sendToHL("LANGUAGE_CHANGED", selectedValue)
        }
        onCreationCompleted: {
            var settingsValue = _settings.value("language", "default")
            for (var i = 0; i < languageDropDown.count(); i++) {
                if (settingsValue == languageDropDown.at(i).value)
                    languageDropDown.setSelectedOption(languageDropDown.at(i))
            }
        }
    }
}
