import bb.cascades 1.3

Container {
    onCreationCompleted: { settingsSheet.updateRequired.connect(onUpdateRequired) }
    function onUpdateRequired() { toggleButton.checked = _settings.value("sendToT2w", false) }
    Container {
        layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
        Label {
            text: qsTr("Pebble Connection") + Retranslate.onLocaleOrLanguageChanged
            textStyle.textAlign: TextAlign.Justify
            textStyle.fontSize: FontSize.XLarge
            multiline: true
            horizontalAlignment: HorizontalAlignment.Center
        }
        ToggleButton {
            id: toggleButton
            checked: _settings.value("sendToT2w", false)
            onCheckedChanged: { _settings.setValue("sendToT2w", checked) }
            horizontalAlignment: HorizontalAlignment.Center
        }
    }
    Label {
        text: qsTr("Send a message to Pebble SmartWatch if PocketSafe is actively preventing pocket typing. (Talk2Watch Pro required, 2 second delay to avoid spamming Pebble with false reading) ") + Retranslate.onLocaleOrLanguageChanged
        multiline: true
    }
}
