import bb.cascades 1.3

Container {
    onCreationCompleted: { settingsSheet.updateRequired.connect(onUpdateRequired) }
    function onUpdateRequired() { toggleButton.checked = _settings.value("vibrationEnabled", false) }
    Container {
        layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
        Label {
            text: qsTr("Vibration") + Retranslate.onLocaleOrLanguageChanged
            textStyle.fontSize: FontSize.XLarge
            multiline: true
            horizontalAlignment: HorizontalAlignment.Center
        }
        ToggleButton {
            id: toggleButton
            checked: _settings.value("vibrationEnabled", false)
            onCheckedChanged: { _settings.setValue("vibrationEnabled", checked) }
            horizontalAlignment: HorizontalAlignment.Center
        }
    }
    Label {
        text: qsTr("Vibrate when PocketSafe popup is shown.") + Retranslate.onLocaleOrLanguageChanged
        multiline: true
        textStyle.textAlign: TextAlign.Justify
    }
}
